<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.boat.mapper.DsBoatCheckoutMapper">

    <resultMap type="com.ltgk.boat.domain.entity.DsBoatCheckout" id="DsBoatCheckoutMap">
        <result property="id" column="id"/>
        <result property="boatId" column="boat_id"/>
        <result property="boatName" column="boat_name"/>
        <result property="homePort" column="home_port"/>
        <result property="boatMaterial" column="boat_material"/>
        <result property="approvalLength" column="approval_length"/>
        <result property="mainPower" column="main_power"/>
        <result property="approvalTonnage" column="approval_tonnage"/>
        <result property="shipyard" column="shipyard"/>
        <result property="holderName" column="holder_name"/>
        <result property="applyExplain" column="apply_explain"/>
        <result property="planBuildStartTime" column="plan_build_start_time"/>
        <result property="planChackTime" column="plan_chack_time"/>
        <result property="planChackAddress" column="plan_chack_address"/>
        <result property="applyUserId" column="apply_user_id"/>
        <result property="applyUserName" column="apply_user_name"/>
        <result property="applicantSignature" column="applicant_signature"/>
        <result property="applicantPhone" column="applicant_phone"/>
        <result property="applicantTime" column="applicant_time"/>
        <result property="proveFiles" column="prove_files"/>
        <result property="checkStartTime" column="check_start_time"/>
        <result property="checkOverTime" column="check_over_time"/>
        <result property="checkAddress" column="check_address"/>
        <result property="checkType" column="check_type"/>
        <result property="checkPerson" column="check_person"/>
        <result property="checkLeader" column="check_leader"/>
        <result property="checkCost" column="check_cost"/>
        <result property="certificateStartTime" column="certificate_start_time"/>
        <result property="certificateEndTime" column="certificate_end_time"/>
        <result property="certificateApproval" column="certificate_approval"/>
        <result property="licenseePerson" column="licensee_person"/>
        <result property="skin" column="skin"/>
        <result property="stem" column="stem"/>
        <result property="underwaterhull" column="underwaterhull"/>
        <result property="idtag" column="idtag"/>
        <result property="jacketNum" column="jacket_num"/>
        <result property="jacketOk" column="jacket_ok"/>
        <result property="raftNum" column="raft_num"/>
        <result property="raftOk" column="raft_ok"/>
        <result property="raftNextCheck" column="raft_next_check"/>
        <result property="fireNum" column="fire_num"/>
        <result property="fireCheckTime" column="fire_check_time"/>
        <result property="sidelight" column="sidelight"/>
        <result property="sidelightOk" column="sidelight_ok"/>
        <result property="runaway" column="runaway"/>
        <result property="runawayOk" column="runaway_ok"/>
        <result property="trawllight" column="trawllight"/>
        <result property="trawllightOk" column="trawllight_ok"/>
        <result property="notrawllight" column="notrawllight"/>
        <result property="notrawllightOk" column="notrawllight_ok"/>
        <result property="fluteclock" column="fluteclock"/>
        <result property="fluteclockOk" column="fluteclock_ok"/>
        <result property="modelCheck" column="model_check"/>
        <result property="powerCheck" column="power_check"/>
        <result property="labelCheck" column="label_check"/>
        <result property="hostOk" column="host_ok"/>
        <result property="clutchboxOk" column="clutchbox_ok"/>
        <result property="lableOk" column="lable_ok"/>
        <result property="cableOk" column="cable_ok"/>
        <result property="beidouais1" column="beidouais1"/>
        <result property="beidouais2" column="beidouais2"/>
        <result property="powerSignature" column="power_signature"/>
        <result property="checkPerson2" column="check_person2"/>
        <result property="checkTime" column="check_time"/>
        <result property="checkCode" column="check_code"/>
        <result property="powerAddress" column="power_address"/>
        <result property="gear" column="gear"/>
        <result property="equipment" column="equipment"/>
        <result property="linemark" column="linemark"/>
        <result property="freeboardValue" column="freeboard_value"/>
        <result property="blockwater" column="blockwater"/>
        <result property="drainoutlet" column="drainoutlet"/>
        <result property="pollution" column="pollution"/>
        <result property="changEngine" column="chang_engine"/>
        <result property="maintenance" column="maintenance"/>
        <result property="waterIntegrity" column="water_integrity"/>
        <result property="signals" column="signals"/>
        <result property="lifting" column="lifting"/>
        <result property="auxiliary" column="auxiliary"/>
        <result property="drainage" column="drainage"/>
        <result property="safety" column="safety"/>
        <result property="captainSignature" column="captain_signature"/>
        <result property="captainTel" column="captain_tel"/>
        <result property="powerSignature2" column="power_signature2"/>
        <result property="powerTel" column="power_tel"/>
        <result property="checkStatus" column="check_status"/>
        <result property="picture1" column="picture1"/>
        <result property="picture2" column="picture2"/>
        <result property="picture3" column="picture3"/>
        <result property="picture4" column="picture4"/>
        <result property="picture5" column="picture5"/>
        <result property="signType" column="sign_type"/>
        <result property="document1" column="document1"/>
        <result property="document2" column="document2"/>
        <result property="document3" column="document3"/>
        <result property="document4" column="document4"/>
        <result property="document5" column="document5"/>
        <result property="document6" column="document6"/>
        <result property="document7" column="document7"/>
        <result property="applicantSignaturePc" column="applicant_signature_pc"/>
        <result property="certificateApprovalPc" column="certificate_approval_pc"/>
        <result property="licenseePersonPc" column="licensee_person_pc"/>
        <result property="checkPersonPc" column="check_person_pc"/>
        <result property="checkLeaderPc" column="check_leader_pc"/>
        <result property="powerSignaturePc" column="power_signature_pc"/>
        <result property="checkPerson2Pc" column="check_person2_pc"/>
        <result property="captainSignaturePc" column="captain_signature_pc"/>
        <result property="powerSignature2Pc" column="power_signature2_pc"/>
        <result property="fireCheckOk" column="fire_check_ok"/>
        <result property="powerResidence" column="power_residence"/>
        <result property="captainResidence" column="captain_residence"/>
        <result property="delFlag" column="del_flag"/>
        <result property="areaCode" column="area_code"/>
        <result property="areaName" column="area_name"/>
        <result property="createBy" column="create_by"/>
        <result property="createAt" column="create_at"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateAt" column="update_at"/>
        <result property="remark" column="remark"/>
        <result property="auditStatus" column="audit_status"/>
        <result property="auditReason" column="audit_reason"/>
    </resultMap>
</mapper>

